aboutsummaryrefslogtreecommitdiff
path: root/tests/test.sh
diff options
context:
space:
mode:
Diffstat (limited to 'tests/test.sh')
-rw-r--r--tests/test.sh3
1 files changed, 2 insertions, 1 deletions
diff --git a/tests/test.sh b/tests/test.sh
index 7f83246..36b6b77 100644
--- a/tests/test.sh
+++ b/tests/test.sh
@@ -109,7 +109,8 @@ qtmips_make() {
qtmips_run() {
local BIN="$BUILD_DIR/$1"
shift
- LD_LIBRARY_PATH="$BUILD_DIR/qtmips_machine" "$BIN" "$@"
+ LD_LIBRARY_PATH="$BUILD_DIR/qtmips_machine" "$BIN" "$@" || \
+ echo_fail "QtMips execution exited with non-zero code ($?): $@"
}
## Mips elf binary compilation ##################################################